[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TSmallIntHelper.ToBoolean

Convert to a boolean value

## Declaration

Source position: syshelph.inc line 446

`public function TSmallIntHelper.ToBoolean: Boolean;`

## Description

ToBoolean converts the SmallInt value to a boolean: it returns True if the value is nonzero, False if it is zero.

## See also

TSmallIntHelper.ToSingle |  | Convert to an single-sized floating point value
TSmallIntHelper.ToDouble |  | Convert to a double-sized floating point value
TSmallIntHelper.ToExtended |  | Convert to an extended-sized floating point value
TSmallIntHelper.ToString |  | Convert the value to string
TSmallIntHelper.ToHexString |  | Convert to a hexadecimal string representation